%define oname   pango

Name:       ruby-%{oname}
Version:    1.0.3
Release:    %mkrel 1
Summary:    Ruby/Pango is a Ruby binding of pango-1.x
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: pango-devel
BuildRequires: rubygem(pkg-config)
BuildRequires: rubygem(test-unit)
BuildRequires: ruby-glib2-devel = %{version}
BuildRequires: locales-en
Requires:   ruby(abi) = 1.8

%description
Ruby/Pango is a Ruby binding of pango-1.x.

%files
%defattr(-, root, root, -)
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/*.rb
%{ruby_vendorarchdir}/%{oname}.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------
%package        devel
Summary:    Development files for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Development headers for %{name}

%files          devel
%defattr(-,root,root,-)
%{ruby_vendorarchdir}/*.h
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorlibdir} %{buildroot}%{ruby_vendorarchdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}
mv %{buildroot}%{ruby_sitearchdir}/* %{buildroot}%{ruby_vendorarchdir}

%check
export LC_ALL=en_US.UTF-8
ruby -I%{buildroot}%{ruby_vendorlibdir} -I%{buildroot}%{ruby_vendorarchdir} -Itest test/run-test.rb

%clean
rm -rf %{buildroot}



%changelog

* Mon Sep 26 2011 fwang <fwang> 1.0.3-1.mga2
+ Revision: 147911
- new version 1.0.3

* Sun Sep 18 2011 fwang <fwang> 1.0.2-1.mga2
+ Revision: 145074
- 1.0.2

* Mon Mar 14 2011 shikamaru <shikamaru> 0.90.8-1.mga1
+ Revision: 71451
- fix test using en_US locale
- New version 0.90.8
- drop unneeded patch since glib2 is now in vendorlibdir
- move files in vendorlibdir
- fix file list
- add check section

* Tue Feb 08 2011 shikamaru <shikamaru> 0.90.7-1.mga1
+ Revision: 49095
- imported package ruby-pango

